#
# spec file for package python-influxdb
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-influxdb
Version:        5.1.0
Release:        2.1
Summary:        InfluxDB client
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/influxdb/influxdb-python
Source:         https://files.pythonhosted.org/packages/source/i/influxdb/influxdb-%{version}.tar.gz
BuildRequires:  %{python_module python-dateutil >= 2.0.0}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module requests >= 1.0.3}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six >= 1.9.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# test requirements
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module requests-mock}
%if 0%{?suse_version} >= 1500
BuildRequires:  hostname
%endif
Requires:       python-python-dateutil >= 2.6.0
Requires:       python-pytz
Requires:       python-requests >= 1.17.0
Requires:       python-six >= 1.10.0
BuildArch:      noarch

%python_subpackages

%description
InfluxDB-Python is a client for interacting with InfluxDB_. Maintained by @aviau (https://github.com/aviau).

%prep
%setup -q -n influxdb-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Sun Jan 27 2019 tbechtold@suse.com
- update to version v5.1.0
  * README: add PyPI status
  * Escape tag values that ends with backslash (#537)
  * Fix for  DataFrameClient issue - seems does not process correctly DateTimeIndex dates (issue #479) (#495)
  * Fix pandas example (#547)
  * Fix wrong session mount (#571)
  * set version to 5.1.0
  * DataFrameClient should escape measurement names (#542)
  * doc: clarify that send_packet takes a list (#545)
  * specify the numpy dependency explicitly to prevent regression in test (#563)
  * Parse column names in a dataframe to avoid breaking the line protocol (#584)
  * adding back dropped database param
  * Allow connecting to influxdb running on a path on the server (#556)
  * Remove comment as issues have been resolved (#581)
  * Remove UDP Precision Restrictions (#557)
  * Update _dataframe_client.py (#593)
  * README: styling
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Wed Nov 22 2017 mimi.vx@gmail.com
- convert to singlespec
* Tue Nov 21 2017 ncutler@suse.com
- spec file
  + "hostname" build dependency only for Leap 15 and above
* Tue Nov 21 2017 ncutler@suse.com
- update to 5.0.0
  for detailed change log, see https://github.com/influxdata/influxdb-python/commits/b59fe97
- add "hostname" build dependency
* Mon Apr 10 2017 dmueller@suse.com
- remove unnecessary build requires
* Mon Jan 16 2017 dmueller@suse.com
- Initial packaging (4.0.0)
